> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# NGN Ind.

> Inititating A Pay via Permanent Virtual Nuban



## OpenAPI

````yaml /openapi/collections.json post /collection/nuban-create-perm
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /collection/nuban-create-perm:
    post:
      tags:
        - Virtual Account/IBANs
      summary: NGN Ind.
      description: Inititating A Pay via Permanent Virtual Nuban
      operationId: >-
        Initiate local and international payment from Bank accounts with
        Permanent Virtual Nuban
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PermanentResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Creation failed
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    PermanentResponse:
      type: object
      properties:
        payload:
          type: object
          properties:
            status:
              type: integer
              example: 200
            success:
              type: string
              example: 'true'
            message:
              type: string
              example: Success
            data:
              type: object
              properties:
                bank_code:
                  type: string
                  example: '01'
                bank_name:
                  type: string
                  example: 78 BANK
                account_name:
                  type: string
                  example: UserAccount Name
                account_number:
                  type: string
                  example: '0022661144'
                transactionId:
                  type: string
                  example: flick-d-dash6W1nay1FxH4DSWs9ZRh
                created_at:
                  type: string
                  example: '2023-10-14T05:11:50.698'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.